Skip to content

Footers

All operations require authentication.

5 operationsv1/email/mxplan
Agent setup

Get the disclaimerProduction

GET
/1.0/email/mxplan/{service}/domain/{domainName}/disclaimer

Get the disclaimer. Returns the content of the disclaimer added at the bottom of the emails of the domain, and whether it is added only to external emails.

Path parameters

domainName
required
string

Domain name

service
required
string

The internal name of your mxplan organization

Response

200disclaimersuccessful operation
content
string

Signature, added at the bottom of your organization emails

creationDate
read-only
stringdate-time

Creation date

name
read-only
string

Disclaimer name

outsideOnly
boolean

Activate the disclaimer only for external emails

taskPendingId
read-only
integer

task pending id

Example uses domainName = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/domain/{domainName}/disclaimer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "content": "string", "creationDate": "2024-01-01T12:00:00Z", "name": "string", "outsideOnly": true, "taskPendingId": 0}

Create a disclaimerProduction

POST
/1.0/email/mxplan/{service}/domain/{domainName}/disclaimer

Create a disclaimer. Creates the disclaimer added at the bottom of the emails of the domain, and returns the task. Set outsideOnly to true to add it only to external emails. Insert Active Directory attributes in content as %%AttributeName%%.

Path parameters

domainName
required
string

Domain name

service
required
string

The internal name of your mxplan organization

Request body (required)

content
required
string

Signature, added at the bottom of your organization emails

outsideOnly
boolean

Activate the disclaimer only for external emails

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses domainName = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/domain/{domainName}/disclaimer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Delete the disclaimerProduction

DELETE
/1.0/email/mxplan/{service}/domain/{domainName}/disclaimer

Delete the disclaimer. Removes the disclaimer of the domain, so that it is no longer added to the emails sent from it, and returns the task.

Path parameters

domainName
required
string

Domain name

service
required
string

The internal name of your mxplan organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses domainName = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/domain/{domainName}/disclaimer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Update the disclaimerProduction

PUT
/1.0/email/mxplan/{service}/domain/{domainName}/disclaimer

Update the disclaimer. Updates the content of the disclaimer of the domain, and outsideOnly to add it only to external emails. Insert Active Directory attributes in content as %%AttributeName%%.

Path parameters

domainName
required
string

Domain name

service
required
string

The internal name of your mxplan organization

Request body (required)

content
string

Signature, added at the bottom of your organization emails

creationDate
read-only
stringdate-time

Creation date

name
read-only
string

Disclaimer name

outsideOnly
boolean

Activate the disclaimer only for external emails

taskPendingId
read-only
integer

task pending id

Response

200—successful operation

Example uses domainName = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/domain/{domainName}/disclaimer \
  -H "authorization: Bearer $OVH_TOKEN"

List disclaimer attributesProduction

GET
/1.0/email/mxplan/{service}/domain/{domainName}/disclaimerAttribute

List disclaimer attributes. Returns the Active Directory attributes that can be substituted in the disclaimer content, such as DisplayName, Email or PhoneNumber.

Path parameters

domainName
required
string

Domain name

service
required
string

The internal name of your mxplan organization

Response

200DisclaimerAttributeEnum[]successful operation

Example uses domainName = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/domain/{domainName}/disclaimerAttribute \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "City"]